from ..endorsements.endorsement_header import generate_endorsement_page_header_text
from ...config import NEW_PAGE_TAG


@staticmethod
def generate_faq20a_endorsement_text() -> str:
    endorsement_header_text = generate_endorsement_page_header_text()
    text = (
        f"{endorsement_header_text}"
        "Formulaire d'avenant du Québec\n"
        "F.A.Q. N 20a\n"
        "Frais de déplacement (formule étendue)\n"
        "(Chapitre B)\n"
        "Le titre de l'avenant doit être écrit à la section « Conditions particulières » du contrat "
        "d'assurance. Quant aux informations requises dans l'avenant, elles peuvent être écrites à "
        "cette section ou dans l'avenant même, au choix de l'assureur.\n"
        "Nom de l'assureur :  \n"
        "Nom de l'assuré désigné :  \n"
        "Avenant à la police d'assurance automobile N :  \n"
        "Date de prise d'effet : cet avenant s'applique à partir du  à 0 h 01, heure normale "
        "à l'adresse de l'assuré désigné.\n"
        "Véhicule visé : cet avenant s'applique uniquement au véhicule désigné suivant :\n"
        "(numéro de référence écrit à la section « Conditions particulières » du contrat d'assurance)\n"
        "Description de l'avenant\n"
        "Cet avenant étend les garanties du chapitre B du contrat d'assurance, en remplaçant le texte "
        "de la garantie additionnelle 4.1 intitulée « Frais de déplacement en cas de vol d'un véhicule assuré » "
        "par le texte ci-dessous.\n"
        "Cet avenant s'applique uniquement au véhicule visé et seulement si la valeur des dommages subis "
        "parle véhicule visé est supérieure à la franchise applicable au sinistre qui les a causés.\n"
        "« 4.1 Frais de déplacement\n"
        "4.1.1 Description des frais de déplacement\n"
        "Si l'assuré désigné ne peut plus utiliser le véhicule assuré en raison d'un sinistre couvert, "
        "l'assureur lui rembourse les frais suivants :\n"
        "\t les frais de location pour un véhicule de remplacement temporaire;\n"
        "\t les frais de taxi;\n"
        "\t les frais de transport en commun.\n"
        "Sur production des reçus de paiement, ces frais sont remboursés jusqu'à un montant maximum "
        "de  $ par jour et de  $ par sinistre et par véhicule assuré.\n"
        "Ces montants ne peuvent pas être inférieurs aux montants qui étaient écrits à la garantie "
        "additionnelle 4.1 du contrat d'assurance.\n"
        f"{NEW_PAGE_TAG}\n"
        f"{endorsement_header_text}"
        "4.1.2 Application de la garantie\n"
        "Si le véhicule assuré a été volé en entier, cette garantie s'applique uniquement aux frais engagés "
        "à partir de 0 h 01 le lendemain de la déclaration de vol à la police ou à l'assureur.\n"
        "Pour tous les autres sinistres couverts, cette garantie s'applique uniquement aux frais engagés :\n"
        "\t dès le moment où le véhicule assuré ne peut plus rouler en raison des dommages qu'il a "
        "subis; ou\n"
        "\t s'il est encore en état de rouler malgré les dommages subis, dès le moment où il est "
        "confié à un réparateur.\n"
        "Les frais sont remboursables malgré l'expiration du contrat d'assurance depuis le sinistre.\n"
        "Ces frais cessent d'être remboursés :\n"
        "\t lorsque le véhicule assuré est remplacé ou réparé; ou\n"
        "\t lorsqu'une entente sur le règlement du sinistre est conclue avant que le véhicule "
        "assuré soit remplacé ou réparé.\n"
        "4.1.3 Autres frais couverts au cours d'un voyage\n"
        "Lorsqu'un sinistre couvert survient au cours d'un voyage, les frais décrits aux paragraphes a) "
        "et b) ci-dessous sont couverts, en plus des frais énumérés au paragraphe 4.1.1.\n"
        "Ces frais sont couverts jusqu'à un maximum de ……… % du montant maximum payable par "
        "sinistre écrit au paragraphe 4.1.1.\n"
        "a) Tout frais de déplacement supplémentaire de l'assuré désigné, son conjoint ou toute "
        "autre personne ayant le même domicile qu'eux, engagé pour :\n"
        "\t qu'ils poursuivent le voyage;\n"
        "\t qu'ils reviennent au domicile de l'assuré désigné;\n"
        "\t qu'ils reviennent à l'endroit où le véhicule assuré est habituellement stationné.\n"
        "Ces frais supplémentaires incluent, entre autres, les frais de repas et d'hébergement, "
        "ainsi que les frais de transport d'effets personnels.\n"
        "b) Tout autre frais supplémentaire de même nature que ceux décrits au paragraphe a), "
        "engagé pour récupérer le véhicule assuré à l'endroit où il est réparé, et pour le ramener à "
        "l'un des endroits suivants :\n"
        "\t à l'endroit où se trouve l'assuré désigné, son conjoint ou toute personne ayant le "
        "même domicile qu'eux. Par contre, si cet endroit est plus éloigné que la destination "
        "de voyage qui avait été prévue avant le sinistre, seuls les frais requis pour ramener "
        "le véhicule assuré à cette destination prévue sont couverts;\n"
        "\t au domicile de l'assuré désigné; ou\n"
        "\t à l'endroit où le véhicule assuré est habituellement stationné.\n"
        "Ces frais doivent avoir été engagés par l'assuré désigné, son conjoint, toute autre "
        "personne ayant le même domicile qu'eux ou toute personne de leur choix. »\n"
        "Toutes les autres conditions du contrat d'assurance restent les mêmes.\n"
        f"{NEW_PAGE_TAG}\n"
    )

    return text
